
CoCoALib - Bug #864

Assignment of rings (esp. derived rings such as PolyRing)

06 Apr 2016 15:15 - John Abbott

Status: Closed Start date: 06 Apr 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.51 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 1.50 hour

Description

In issue #244 we approved the activation of assignment for objects of type ring.

Mario has pointed out that assignment is not possible for SparsePolyRing.

Check that there are no objections/problems in activating assignment for all types of ring.  If there are no problems, activate the

assignments (it is probably sufficient to delete the code that disables assignment).

Related issues:

Related to CoCoALib - Feature #244: Rings: default ctor & assignment Closed 28 Sep 2012

History

#1 - 06 Apr 2016 15:39 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Since assignment is allowed for ring (and presumably causes no trouble), I see no reason for blocking it for "specializations" of ring.  I'll try

implementing and testing.

According to egrep the types of ring are: DenseUPolyRing, FractionField, PolyRing, QuotientRing and SparsePolyRing, and RingTwinFloat.

Though functions on rings accept args of type ring (or const ring&) for convenience, it is a good idea to maintain these specializations to help improve

readability of code (e.g. via local variables of type SparsePolyRing rather than simply ring).

#2 - 07 Apr 2016 16:29 - John Abbott

- Related to Feature #244: Rings: default ctor & assignment added

#3 - 07 Apr 2016 16:31 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 10 to 80

I have commented out the parts which disable the default assignment.  Everything compiled fine, and all tests passed.  So I'll check in the changes.

#4 - 21 Sep 2016 17:34 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

This has been idle for 6 months; no problems have arisen.  I have written a test (checked in).

So closing.
https://cocoa.dima.unige.it/redmine/issues/244


#5 - 28 Apr 2017 09:34 - Anna Maria Bigatti

- Estimated time set to 1.51 h
